# libdar::slave_zapette Class Reference
[Private]

this class answers to order given by a zapette object More...

`#include <zapette.hpp>`

List of all members.

## Public Member Functions
| slave_zapette (generic_file *input, generic_file *output, contextual *data)
| slave_zapette constructor
void | action ()
| main execution method for slave_zapette class

## Detailed Description

this class answers to order given by a zapette object

through a pair of pipes slave_zapette return information about a given local archive (single or multi slices).

Definition at line 92 of file zapette.hpp.

## Constructor & Destructor Documentation

libdar::slave_zapette::slave_zapette | ( | generic_file * | input,
|  | generic_file * | output,
|  | contextual * | data |
| ) |  |  |

slave_zapette constructor

Parameters:

  `[in]` | input | is used to receive orders from an zapette object
  `[in]` | output | is used to return informations or data in answer to received orders
  `[in]` | data | is where the informations or data is taken from

## Member Function Documentation

void libdar::slave_zapette::action | ( |  | ) |

main execution method for slave_zapette class

this method implement a loop waiting for orders and answering to them the loop stops when a special order is received from the peer zapette object

The documentation for this class was generated from the following file:

- zapette.hpp